Bug 779647 - (SOA-2016) Max total connection number and max connection number per host HTTP client parameters should be set by one parameter
Max total connection number and max connection number per host HTTP client pa...
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 GA
Unspecified Unspecified
high Severity high
: ---
: 5.1.0.ER2
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-26 11:40 EDT by Jiri Pechanec
Modified: 2011-03-01 23:19 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-01 23:19:55 EST
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2016 Major Closed Max total connection number and max connection number per host HTTP client parameters should be set by one parameter 2014-06-25 08:48:09 EDT

  None (edit)
Description Jiri Pechanec 2010-03-26 11:40:29 EDT
project_key: SOA

SOAPProxy, HttpRouter etc are using Apache HTTP client to implement HTTP invocation. But the URL for both of these actions are static so they will always point to the same host. So the both parameters should be set to the same value and it thus does not make sense to configure them separately.
Comment 1 Jiri Pechanec 2010-03-26 11:50:51 EDT
Link: Added: This issue is related to JBESB-2841
Comment 2 Anne-Louise Tangring 2010-09-21 16:37:25 EDT
Kevin to check if this is already done for SOA 5.1.0
Comment 3 Kevin Conner 2010-09-22 07:08:56 EDT
Link: Added: This issue depends JBESB-3356
Comment 4 Kevin Conner 2010-09-22 07:09:15 EDT
Should already be present in ER1
Comment 5 Jiri Pechanec 2011-01-11 06:10:36 EST
Verified in ER6
Comment 6 David Le Sage 2011-03-01 23:14:35 EST
Temporarily reopening to update release note info.
Comment 7 David Le Sage 2011-03-01 23:19:45 EST
Release Notes Docs Status: Added: Documented as Resolved Issue
Writer: Added: dlesage
Release Notes Text: Added: https://issues.jboss.org/browse/JBESB-3356

The SOAPProxy, SOAPClient and HttpRouter all use the Apache HTTP client to implement HTTP invocation. As the URLs for these actions are static, they always point to the same host. Previously, the values for the maximum total connections and maximum connections per host HTTP for each of these clients had to be set individually.  Users can now set via a single parameter instead.

Note You need to log in before you can comment on or make changes to this bug.